## org.eclipse.emf.codegen.ecore.genmodel
Enum GenPropertyKind

    java.lang.Object
      java.lang.Enum<GenPropertyKind>
          org.eclipse.emf.codegen.ecore.genmodel.GenPropertyKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GenPropertyKind>, Enumerator

    public enum GenPropertyKind

extends java.lang.Enum<GenPropertyKind>
implements Enumerator

A representation of the literals of the enumeration 'Gen Property Kind', and utility methods for working with them.

See Also:
  `GenModelPackage.getGenPropertyKind()`

Enum Constant Summary
`EDITABLE_LITERAL` The 'Editable' literal object
`NONE_LITERAL` The 'None' literal object
`READONLY_LITERAL` The 'Readonly' literal object

Field Summary
`static int` `EDITABLE` The 'Editable' literal value
`static int` `NONE` The 'None' literal value
`static int` `READONLY` The 'Readonly' literal value
`static java.util.List<GenPropertyKind>` `VALUES` A public read-only list of all the 'Gen Property Kind' enumerators

Method Summary
`static GenPropertyKind` `get(int value)` Returns the 'Gen Property Kind' literal with the specified integer value
`static GenPropertyKind` `get(java.lang.String literal)` Returns the 'Gen Property Kind' literal with the specified literal value
`static GenPropertyKind` `getByName(java.lang.String name)` Returns the 'Gen Property Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static GenPropertyKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GenPropertyKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### EDITABLE_LITERAL

    public static final GenPropertyKind EDITABLE_LITERAL

  The 'Editable' literal object.

  See Also:
    `EDITABLE`

### READONLY_LITERAL

    public static final GenPropertyKind READONLY_LITERAL

  The 'Readonly' literal object.

  See Also:
    `READONLY`

### NONE_LITERAL

    public static final GenPropertyKind NONE_LITERAL

  The 'None' literal object.

  See Also:
    `NONE`

Field Detail

### EDITABLE

    public static final int EDITABLE

  The 'Editable' literal value.

  See Also:
    `EDITABLE_LITERAL`, Constant Field Values

### READONLY

    public static final int READONLY

  The 'Readonly' literal value.

  See Also:
    `READONLY_LITERAL`, Constant Field Values

### NONE

    public static final int NONE

  The 'None' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<GenPropertyKind> VALUES

  A public read-only list of all the 'Gen Property Kind' enumerators.

Method Detail

### values

    public static final GenPropertyKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GenPropertyKind c : GenPropertyKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GenPropertyKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static GenPropertyKind get(java.lang.String literal)

  Returns the 'Gen Property Kind' literal with the specified literal value.

### getByName

    public static GenPropertyKind getByName(java.lang.String name)

  Returns the 'Gen Property Kind' literal with the specified name.

### get

    public static GenPropertyKind get(int value)

  Returns the 'Gen Property Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`
  Returns:
    the value.

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`
  Returns:
    the name.

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`
  Returns:
    the literal.

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<GenPropertyKind>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.